#ifndef __IVFFLYVWR_H__
#define __IVFFLYVWR_H__

#include <Ivf/IvfVwr.h>

class SoWinFlyViewer ;

class CIvfFlyViewer : public CIvfVwr
{
public:
	CIvfFlyViewer() ;
	DECLARE_DYNCREATE(CIvfFlyViewer) ;
	
	~CIvfFlyViewer() ;

	virtual void 			CreateViewer(void *pVwrArgs);

	virtual void			DestroyViewer() ;
	virtual void			SceneGraphChanged() ;

	virtual BOOL			OnUpdateFrameTitle(CString &strTitle) ;
	virtual void			OnPaint() ;
	virtual void			OnInitialUpdate() ;
	virtual void			OnDeactivateView() ;
	virtual void			OnActivateView() ;
	virtual void			OnDestroy() ;
	virtual BOOL			OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL			PreTranslateMessage(MSG *pMsg) ;
	virtual SoWinComponent *GetVwrComponent() ;

	static void 			GetRuntimeClass(CRuntimeClass &classInfo);

protected:
	SoWinFlyViewer *m_pViewer;
} ;


#endif
